"""Initial migration

Revision ID: 75c3add9cb65
Revises: 
Create Date: 2025-03-03 00:49:35.190891

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '75c3add9cb65'
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('astro_fortunes',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('astroid', sa.Integer(), nullable=True),
    sa.Column('astroname', sa.String(), nullable=True),
    sa.Column('date', sa.Date(), nullable=True),
    sa.Column('year', sa.JSON(), nullable=True),
    sa.Column('month', sa.JSON(), nullable=True),
    sa.Column('week', sa.JSON(), nullable=True),
    sa.Column('today', sa.JSON(), nullable=True),
    sa.Column('tomorrow', sa.JSON(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_astro_fortunes_astroid'), 'astro_fortunes', ['astroid'], unique=False)
    op.create_index(op.f('ix_astro_fortunes_date'), 'astro_fortunes', ['date'], unique=False)
    op.create_index(op.f('ix_astro_fortunes_id'), 'astro_fortunes', ['id'], unique=False)
    op.create_table('daily_calendars',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('year', sa.String(), nullable=True),
    sa.Column('month', sa.String(), nullable=True),
    sa.Column('day', sa.String(), nullable=True),
    sa.Column('yangli', sa.String(), nullable=True),
    sa.Column('nongli', sa.String(), nullable=True),
    sa.Column('star', sa.String(), nullable=True),
    sa.Column('taishen', sa.String(), nullable=True),
    sa.Column('wuxing', sa.String(), nullable=True),
    sa.Column('chong', sa.String(), nullable=True),
    sa.Column('sha', sa.String(), nullable=True),
    sa.Column('shengxiao', sa.String(), nullable=True),
    sa.Column('jiri', sa.String(), nullable=True),
    sa.Column('zhiri', sa.String(), nullable=True),
    sa.Column('xiongshen', sa.String(), nullable=True),
    sa.Column('jishenyiqu', sa.String(), nullable=True),
    sa.Column('caishen', sa.String(), nullable=True),
    sa.Column('xishen', sa.String(), nullable=True),
    sa.Column('fushen', sa.String(), nullable=True),
    sa.Column('suici', sa.String(), nullable=True),
    sa.Column('yi', sa.String(), nullable=True),
    sa.Column('ji', sa.String(), nullable=True),
    sa.Column('eweek', sa.String(), nullable=True),
    sa.Column('emonth', sa.String(), nullable=True),
    sa.Column('week', sa.String(), nullable=True),
    sa.Column('date', sa.Date(), nullable=True),
    sa.Column('year_ganzhi', sa.String(), nullable=True),
    sa.Column('month_ganzhi', sa.String(), nullable=True),
    sa.Column('day_ganzhi', sa.String(), nullable=True),
    sa.Column('lunar_year', sa.String(), nullable=True),
    sa.Column('lunar_month', sa.String(), nullable=True),
    sa.Column('lunar_day', sa.String(), nullable=True),
    sa.Column('lunar_date', sa.String(), nullable=True),
    sa.Column('solar_term', sa.String(), nullable=True),
    sa.Column('is_leap_month', sa.Boolean(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_daily_calendars_date'), 'daily_calendars', ['date'], unique=True)
    op.create_index(op.f('ix_daily_calendars_id'), 'daily_calendars', ['id'], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_daily_calendars_id'), table_name='daily_calendars')
    op.drop_index(op.f('ix_daily_calendars_date'), table_name='daily_calendars')
    op.drop_table('daily_calendars')
    op.drop_index(op.f('ix_astro_fortunes_id'), table_name='astro_fortunes')
    op.drop_index(op.f('ix_astro_fortunes_date'), table_name='astro_fortunes')
    op.drop_index(op.f('ix_astro_fortunes_astroid'), table_name='astro_fortunes')
    op.drop_table('astro_fortunes')
    # ### end Alembic commands ###
